import javax.swing.*;
import java.awt.event.*;

// There's no reason our main class can't
// itself implement the Listener interface(s):

public class GuiGamma implements WindowListener {

    public static void main(String[] args) {
        // Create a free-floating window:
        JFrame jframe = new JFrame("GuiGamma");
        
        // Specify the size in pixels:
        jframe.setSize(400,100);
        
        // Show the window:
        jframe.setVisible(true);

        // Add a listener object to handle window events:
        GuiGamma g = new GuiGamma();
        jframe.addWindowListener(g);
    }

    public void windowClosing(WindowEvent e) {
        System.out.println("Closing!");
        System.exit(0);
    }
    public void windowActivated(WindowEvent e) { 
        System.out.println("Activated!"); 
    }
    public void windowDeactivated(WindowEvent e) {
        System.out.println("Deactivated!"); 
    }
    public void windowClosed(WindowEvent e) { }
    public void windowOpened(WindowEvent e) { }
    public void windowIconified(WindowEvent e) { }
    public void windowDeiconified(WindowEvent e) { }

}

