// Simple thread demo.

class ChatterBox extends Thread {
   String n;
   ChatterBox(String s) { 
       super(s);
//       setName(s);  
       System.out.println(s+ " constructed.");
   }

   public void run() { 
       for (int i=0; i<10; i++) {
           System.out.println("Hi from " + getName()); 
           try {
             sleep(500); // Sleep 1/2 sec
           } catch (InterruptedException e) {
             // If interrupted, just quit.
             return;
           }
       }
   }
}

public class ThreadDemo {
  static public void main(String s[]) {
      new ChatterBox("Alice").start();
      new ChatterBox("Bob").start();
      new ChatterBox("Carol").start();
  }

}

// Note that you can either extend Thread
// or implement Runnable; extending Thread is
// simpler, but implementing Runnable is more
// flexible.